import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Constants } from '../core.consts';
import { TranslateService } from '@ngx-translate/core';
import 'rxjs/add/operator/catch';
export declare class ConnectionService {
    private http;
    private translate;
    private consts;
    private url;
    constructor(http: HttpClient, translate: TranslateService, consts: Constants);
    /** POST */
    post(api: string, data?: any): Observable<any>;
    postOutsider(api: string, data: any): Observable<any>;
    /** GET */
    get(api: string, data?: any): Observable<any>;
    getOutsider(api: string): Observable<any>;
    getErrorNotHandler(api: string): Observable<any>;
    getOutsiderWithParams(api: string, data: any): Observable<any>;
    getHTML(api: string): Observable<any>;
    getWithLimit(api: string, limit: string): Observable<any>;
    getPaginated(api: string, limit: string, page: string): Observable<any>;
    /** PUT */
    put(api: string, data: any): Observable<any>;
    /** DELETE */
    delete(api: string): Observable<any>;
    formUrl: (api: any) => any;
}
